Get a page
GET
/pages/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredPage ID or slug
Responses
200Page entity
_linksHalLinksidintegershop_idintegertitlestringslugstringbodystringdescriptionstringvisiblebooleanformatstringcreated_onstring<date-time>updated_onstring<date-time>404Page not found
Request
curl -X GET "https://api.onbolder.com/v2/pages/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v2/pages/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.onbolder.com/v2/pages/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"_links": {
"property1": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
},
"property2": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
}
},
"id": 0,
"shop_id": 0,
"title": "string",
"slug": "string",
"body": "string",
"description": "string",
"visible": true,
"format": "string",
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z"
}Page not found